"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vue_1 = require("vue");
const composables_1 = require("../composables");
const Valine_1 = require("./Valine");
const Vssue_1 = require("./Vssue");
exports.default = vue_1.defineComponent({
    components: { Valine: Valine_1.default, Vssue: Vssue_1.default },
    props: {
        isShowComments: {
            type: Boolean,
            default: true
        }
    },
    setup() {
        const { solution, options } = composables_1.useComment();
        const componentName = solution.value === 'valine'
            ? Valine_1.default
            : solution.value === 'vssue'
                ? Vssue_1.default
                : '';
        return () => (componentName ? vue_1.h(componentName, {
            options: options.value
        }) : null);
    }
});
